API ReferenceManagementInbound Apps
POST
/v1/mgmt/thirdparty/app/attribute

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

name*string
Length1 <= length <= 20
displayName*string
Length1 <= length <= 254
type*string
Length1 <= length
options?object

Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.

viewPermissions?unknown

Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.

editPermissions?unknown

Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.

Create or update a single inbound app custom attribute definition (upsert by machine name), using a valid management key. Each inbound app sets its own values for these attributes, which JWT templates read as {{app.customAttributes.}}.

curl -X POST "https://api.descope.com/v1/mgmt/thirdparty/app/attribute" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "displayName": "string",    "type": "string"  }'
Was this helpful?